SEGEDIT(1)

NAME
segedit - extract and replace sections from object files

SYNOPSIS
segedit [ option ] name ... input_file [-extract segname sectname filename] ... [[-replace segname sectname filename] ... -output output_file]

DESCRIPTION
Segedit extracts and or replaces the named sections from the input_file and creates an output_file (if replacing a section). The segment and section names are the same as specified to ld(1) with the -segcreate option. The segment and section names of an object file can be examined with the -l option to otool(1). Only sections in segments that have no relocation to or for them can be replaced (marked with the SG_NORELOC segment flag) but all sections can be extracted.

The options to segedit(1):

-extract segname sectname filename
    Extracts the section specified by the segment name section name pair and places the contents in the specified filename.

-replace segname sectname filename
    Will replace the section specified by the segment name section name pair and places and take the new contents for the section from the specified filename. The -output filename option must also be specified. The resulting size of the section will be rounded to a multiple of 4 bytes and padded with zero bytes if necessary.

-output output_file
    Specifies the output file to create when replacing sections.

SEE ALSO
ld(1), otool(1)

LIMITATIONS
Only mach-O format files that are laid out in a contiguous address space and with their contents ordered in the order of increasing address can have their segments replaced by this program. This layout is what the link editor produces by default.